commit: ba7b2a3cf837bda302dd1e2556b0436bccc2ca54
Author: tastytea <gentoo <AT> tastytea <DOT> de>
AuthorDate: Sat Dec 16 22:19:18 2023 +0000
Commit: Ronny Gutbrod <gentoo <AT> tastytea <DOT> de>
CommitDate: Sat Dec 16 22:20:59 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ba7b2a3c
dev-python/pywebview: add 4.4.1
Signed-off-by: tastytea <gentoo <AT> tastytea.de>
dev-python/pywebview/Manifest | 1 +
dev-python/pywebview/pywebview-4.4.1.ebuild | 40 +++++++++++++++++++++++++++++
2 files changed, 41 insertions(+)
diff --git a/dev-python/pywebview/Manifest b/dev-python/pywebview/Manifest
index 8c53a0cd3f..c7cfbc192f 100644
--- a/dev-python/pywebview/Manifest
+++ b/dev-python/pywebview/Manifest
@@ -1,2 +1,3 @@
DIST pywebview-4.2.2.tar.gz 30105686 BLAKE2B
fd6cd5131fd42326046e1126951294f7c87245a0580c7269d4bbb8a9fd04048e0db3a5864ff32c646d21734519ac568903dd82de5b750c3d7bcdb90857fe958b
SHA512
6922d31bfc7a461948698b96d7e507162ac8718408ca0d8defa138d86c74d653c8026f5b0aa2d62d2147d7a64391f7e4d7726b5fcac0d836907fe5751bd82936
DIST pywebview-4.3.3.tar.gz 30107570 BLAKE2B
6907d928c2f0471547b75ce385636330e4ae2891c8082b24d659a75e525b84259a2db4bf4f8767c4d30c152724fc20c864456156fab8242e72753be32e908a49
SHA512
beaa481fc786ebd07d0d198167bbdfefb50e45b0c768b450c75385e6ed8f72df2cfebbcc7b5356632309300290d0d7b340bbd714e8d8aceaeca56e945857f007
+DIST pywebview-4.4.1.tar.gz 30127595 BLAKE2B
13759ee774a63ddcf44af92ed11a3b902c2c15ebd3ad252f2b541b764601a722e55002aefea8a0621702a2bd0e94a7d4f1c3d8dd86d7e6def5abe6ecec3e7f78
SHA512
b712927606cd9704a00896f68780ee6b0bcd63077510e1d5ceb8d4fbd4b44ca96fff4390be7a29c65b0b0d14dee132fbff29b8dbc1094ebca89ac893566a4731
diff --git a/dev-python/pywebview/pywebview-4.4.1.ebuild
b/dev-python/pywebview/pywebview-4.4.1.ebuild
new file mode 100644
index 0000000000..015ed2bd9f
--- /dev/null
+++ b/dev-python/pywebview/pywebview-4.4.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A lightweight cross-platform wrapper around a webview component"
+HOMEPAGE="https://github.com/r0x0r/pywebview"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="gtk qt5 qt6"
+REQUIRED_USE="|| ( gtk qt5 qt6 )"
+
+RDEPEND="
+ dev-python/bottle
+ dev-python/cryptography
+ dev-python/proxy_tools
+ gtk? (
+ dev-python/pygobject[cairo,${PYTHON_USEDEP}]
+ net-libs/webkit-gtk
+ )
+ qt5? (
+ dev-python/pyside2[${PYTHON_USEDEP},webengine]
+ dev-python/QtPy[${PYTHON_USEDEP},webengine]
+ )
+ qt6? (
+ dev-python/pyside6[${PYTHON_USEDEP},webengine]
+ dev-python/QtPy[${PYTHON_USEDEP},webengine]
+ )
+"
+
+distutils_enable_tests pytest
+
+RESTRICT="test" # FIXME: tests fail without message